exsl.node.set.available
Prev | Miscellaneous | Next

## exsl.node.set.available

exsl.node.set.available — Is the test function-available('exsl:node-set') true?

## Synopsis

    <xsl:param name="exsl.node.set.available">
      <xsl:choose>
        <xsl:when exsl:foo="" test="function-available('exsl:node-set') or                        contains(system-property('xsl:vendor'),                          'Apache Software Foundation')">1</xsl:when>
        <xsl:otherwise>0</xsl:otherwise>
      </xsl:choose>
    </xsl:param>

## Description

If non-zero, then the exsl:node-set() function is available to be used in the stylesheet. If zero, then the function is not available. This param automatically detects the presence of the function and does not normally need to be set manually.

This param was created to handle a long-standing bug in the Xalan processor that fails to detect the function even though it is available.

Prev | Up | Next
monospace.verbatim.font.width | Home | show.bookmarks